Gecode::Search::Statistics Class Reference
Functionality by programming task » Programming models » Search engines

Search engine statistics More...

`#include <search.hh>`

## Public Member Functions

| Statistics (void)
| Initialize.
void | reset (void)
| Reset.
Statistics | operator+ (const Statistics &s)
| Return sum with s.
Statistics & | operator+= (const Statistics &s)
| Increment by statistics s.
Public Member Functions inherited from Gecode::StatusStatistics
| StatusStatistics (void)
| Initialize.
void | reset (void)
| Reset information.
StatusStatistics | operator+ (const StatusStatistics &s)
| Return sum with s.
StatusStatistics & | operator+= (const StatusStatistics &s)
| Increment by statistics s.

## Public Attributes

unsigned long int | fail
| Number of failed nodes in search tree.
unsigned long int | node
| Number of nodes expanded.
unsigned long int | depth
| Maximum depth of search stack.
unsigned long int | restart
| Number of restarts.
unsigned long int | nogood
| Number of no-goods posted.
Public Attributes inherited from Gecode::StatusStatistics
unsigned long int | propagate
| Number of propagator executions.

## Detailed Description

Search engine statistics

Definition at line 147 of file search.hh.

## Constructor & Destructor Documentation

## Statistics()

Gecode::Search::Statistics::Statistics | ( | void |  | ) |

inline

Initialize.

Definition at line 45 of file statistics.hpp.

## Member Function Documentation

## reset()

void Gecode::Search::Statistics::reset | ( | void |  | ) |

inline

Reset.

Definition at line 39 of file statistics.hpp.

## operator+()

Statistics Gecode::Search::Statistics::operator+ | ( | const Statistics & | s | ) |

inline

Return sum with s.

Definition at line 61 of file statistics.hpp.

## operator+=()

Statistics & Gecode::Search::Statistics::operator+= | ( | const Statistics & | s | ) |

inline

Increment by statistics s.

Definition at line 50 of file statistics.hpp.

## Member Data Documentation

## fail

unsigned long int Gecode::Search::Statistics::fail

Number of failed nodes in search tree.

Definition at line 150 of file search.hh.

## node

unsigned long int Gecode::Search::Statistics::node

Number of nodes expanded.

Definition at line 152 of file search.hh.

## depth

unsigned long int Gecode::Search::Statistics::depth

Maximum depth of search stack.

Definition at line 154 of file search.hh.

## restart

unsigned long int Gecode::Search::Statistics::restart

Number of restarts.

Definition at line 156 of file search.hh.

## nogood

unsigned long int Gecode::Search::Statistics::nogood

Number of no-goods posted.

Definition at line 158 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/statistics.hpp